<template>
  <div></div>
</template>
<script>
import { ESHOP } from '@/config/url-prefix'
import { mapActions } from 'vuex'

export default {
  props: ['countryId'],
  data() {
    return {}
  },
  mounted() {
    this.updateSelectedCountry(this.countryId)
    this.clearShoppingData()
    this.$router.replace(ESHOP)
  },
  methods: {
    ...mapActions(['updateSelectedCountry', 'clearShoppingData']),
  },
}
</script>
